Debian Bug report logs - #664759
ITP: python-tox -- generic virtualenv_ management and test command line tool

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Kouhei Maeda <mkouhei@palmtb.net>

Date: Tue, 20 Mar 2012 16:27:02 UTC

Owned by: Kouhei Maeda <mkouhei@palmtb.net>

Severity: wishlist

Fixed in version tox/1.4.2-1

Done: Barry Warsaw <barry@python.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#664759; Package wnpp. (Tue, 20 Mar 2012 16:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kouhei Maeda <mkouhei@palmtb.net>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 20 Mar 2012 16:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kouhei Maeda <mkouhei@palmtb.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-tox -- generic virtualenv_ management and test command line tool
Date: Wed, 21 Mar 2012 01:24:49 +0900
Package: wnpp
Severity: wishlist
Owner: Kouhei Maeda <mkouhei@palmtb.net>

* Package name    : python-tox
  Version         : 1.3
  Upstream Author : holger krekel <holger@merlinux.eu>
* URL             : http://tox.testrun.org/
* License         : GPL
  Programming Lang: Python
  Description     : generic virtualenv_ management and test command line tool

 Checking your package installs correctly with different Python versions and
 interpreters. Running your tests in each of the environments, configuring your
 test tool of choice. Acting as a frontend to Continuous Integration servers,
 greatly reducing boilerplate and merging CI and shell-based testing.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kouhei Maeda <mkouhei@palmtb.net>:
Bug#664759; Package wnpp. (Thu, 19 Apr 2012 15:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Barry Warsaw <barry@python.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kouhei Maeda <mkouhei@palmtb.net>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Thu, 19 Apr 2012 15:12:03 GMT) Full text and rfc822 format available.


Message #10 received at 664759@bugs.debian.org (full text, mbox):

From: Barry Warsaw <barry@python.org>
To: 664759@bugs.debian.org
Date: Thu, 19 Apr 2012 11:01:07 -0400
[Message part 1 (text/plain, inline)]
Hi Kouhei,

Thanks for filing this ITP on tox; I've been wanting to get it packaged for a
while now, but have lacked the time.  I'm happy to help move this forward.  I
can't sponsor it, but I can review packaging, test it out, or help put
together a packaging branch if you want.  Let me know if I can be of assistance.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kouhei Maeda <mkouhei@palmtb.net>:
Bug#664759; Package wnpp. (Fri, 22 Jun 2012 18:54:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Bradley M. Froehle" <brad.froehle@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kouhei Maeda <mkouhei@palmtb.net>. (Fri, 22 Jun 2012 18:54:17 GMT) Full text and rfc822 format available.

Message #15 received at 664759@bugs.debian.org (full text, mbox):

From: "Bradley M. Froehle" <brad.froehle@gmail.com>
To: 664759@bugs.debian.org
Subject: Preliminary tox-1.4 packaging
Date: Fri, 22 Jun 2012 11:53:20 -0700
[Message part 1 (text/plain, inline)]
Hi Kouhei & Barry, 

I've done a quick preliminary package for tox 1.4.  There are a few issues:

* I have no interest or ability to maintain this package in the long term.
* There is no man page for /usr/bin/tox.

You can grab my work with:
dget -x http://highorder.berkeley.edu/~bfroehle/tox/tox_1.4-1.dsc

-Brad

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kouhei Maeda <mkouhei@palmtb.net>:
Bug#664759; Package wnpp. (Wed, 18 Jul 2012 07:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "ghe. rivero" <ghe.rivero@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kouhei Maeda <mkouhei@palmtb.net>. (Wed, 18 Jul 2012 07:09:03 GMT) Full text and rfc822 format available.

Message #20 received at 664759@bugs.debian.org (full text, mbox):

From: "ghe. rivero" <ghe.rivero@gmail.com>
To: 664759@bugs.debian.org
Date: Wed, 18 Jul 2012 09:05:11 +0200
Hi,
    what is the status of these package? We need it for OpenStack
testing, and we can adopt it in the OpenStack Debian Team and use
alioth to maintain it.

Regards,

    Ghe Rivero

-- 
Pinky: "Gee, Brain, what do you want to do tonight?"
The Brain: "The same thing we do every night, Pinky—try to take over the world!"

 .''`.  Pienso, Luego Incordio
: :' :
`. `'
  `-    www.debian.org    www.openstack.com

GPG Key: 26F020F7
GPG fingerprint: 4986 39DA D152 050B 4699  9A71 66DB 5A36 26F0 20F7



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 24 Jul 2012 08:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kouhei Maeda <mkouhei@palmtb.net>:
Bug#664759; Package wnpp. (Sat, 10 Nov 2012 01:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Barry Warsaw <barry@python.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kouhei Maeda <mkouhei@palmtb.net>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Sat, 10 Nov 2012 01:24:03 GMT) Full text and rfc822 format available.


Message #27 received at 664759@bugs.debian.org (full text, mbox):

From: Barry Warsaw <barry@python.org>
To: 664759@bugs.debian.org
Date: Fri, 9 Nov 2012 20:20:56 -0500
[Message part 1 (text/plain, inline)]
Okay, I did a bit more work on the packaging and svn-injected it into the
python-apps svn repo:

http://anonscm.debian.org/viewvc/python-apps/packages/tox/

I'll ask for a review/sponsorship from debian-python.

Thanks Bradley for laying out the start of the packaging!

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Barry Warsaw <barry@python.org>:
You have taken responsibility. (Tue, 27 Nov 2012 17:03:04 GMT) Full text and rfc822 format available.

Notification sent to Kouhei Maeda <mkouhei@palmtb.net>:
Bug acknowledged by developer. (Tue, 27 Nov 2012 17:03:04 GMT) Full text and rfc822 format available.

Message #32 received at 664759-close@bugs.debian.org (full text, mbox):

From: Barry Warsaw <barry@python.org>
To: 664759-close@bugs.debian.org
Subject: Bug#664759: fixed in tox 1.4.2-1
Date: Tue, 27 Nov 2012 17:00:04 +0000
Source: tox
Source-Version: 1.4.2-1

We believe that the bug you reported is fixed in the latest version of
tox, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 664759@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Barry Warsaw <barry@python.org> (supplier of updated tox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 19 Nov 2012 22:17:45 -0500
Source: tox
Binary: python-tox
Architecture: source all
Version: 1.4.2-1
Distribution: unstable
Urgency: low
Maintainer: Barry Warsaw <barry@python.org>
Changed-By: Barry Warsaw <barry@python.org>
Description: 
 python-tox - virtualenv-based automation of test activities
Closes: 664759
Changes: 
 tox (1.4.2-1) unstable; urgency=low
 .
   * Initial release. (Closes: #664759)
Checksums-Sha1: 
 207507bcb76f6bb3ac224f613985a2916a821c8c 2030 tox_1.4.2-1.dsc
 18a4df264ed6e98bf7310249ec563dc115d5e5d0 58738 tox_1.4.2.orig.tar.gz
 cf2250ad26c9c22b516c8101680089e53b3b716f 13939 tox_1.4.2-1.debian.tar.gz
 2f1d67fa9f415c1791dc0ca6976a4635c5345a9a 102122 python-tox_1.4.2-1_all.deb
Checksums-Sha256: 
 70facc59709341c246add5ea2caaecc9e529f80cd59a92e8dab07b60d3b3ed64 2030 tox_1.4.2-1.dsc
 0fe44f71f44115839d36136cab32def9b5c96d9d4cc8aebe015a111ba0b759ba 58738 tox_1.4.2.orig.tar.gz
 dcca209a26eec7aaa9f742320ef29424e042aae07b8d1a7c2c487a5f2fe8b7c4 13939 tox_1.4.2-1.debian.tar.gz
 09bf8f457eb8a91d537f253c2c08e3344298693e723f609ff24b61d990c42f72 102122 python-tox_1.4.2-1_all.deb
Files: 
 4169d9e54297259fcaaf5569480d0666 2030 python optional tox_1.4.2-1.dsc
 8c6eb1faa9314bfd6a4c8c2b8053cfbb 58738 python optional tox_1.4.2.orig.tar.gz
 55838a8637448fb24fa1ef6c12db6ba9 13939 python optional tox_1.4.2-1.debian.tar.gz
 98cc8d9095e2d0f9b530bc49d531ee5d 102122 python optional python-tox_1.4.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJQqvcJAAoJEHtYWzCAfCqHNZIP/1dLCqlG1X+qnNnDii6DPMeO
qmH3mpMHcKHWpLH3k/1pnvIhHqekFddVE3Ouo8qHhUevFivOnhMPzkk9b1/cWAdh
EKkv4JUfZhw3N9xLhL5jtV12lI73Mt7VQe0DJjuX3GfJM0UOEynpTAxPVkjpWi6z
C3i85dY392EIE7IosiAZrPTHoGJq5PZydOeZz4qjjNrUj02isIuZ086b4LLMozaf
2J+DsxVyeKLk+Ywliz6B3gOBKrNoxKSorCJz34vaUd+yFcQqA5wfO45MI3nTUdCR
8XVGI2F2h2kh1Hs9LzPmFuptHw6XlTnQ3UAl3iV9hdhK4PQBTLLgBkOj6+A430Qq
9flbI4LaRFDUcDFSc9LR2EzQHROpr3SOtC4bKPVgc/XYirCc2bZF8Y37oTIJl1cM
UjAjWYVpPlGb21NeXuzU6cmo7ovZuoZITZ6LYVEFwFBJVkRDcbC6y3f2Ba/KUPWu
gtM9Az57s5QN2iXGBYHyWrWwkEqnj0K6m90m+XcnWHmP0JSt3OBblFDM52SIASm4
LYJYxQXc3SGVOzWAMd2Nw5F6Uym6chAz4nv8p25mQVcw60RJSNmTXsj1h4QjVHZQ
hW5N+IVj9QY/5G5w4QlLMu6tGLohyBKVSlpuuhkWmn7myLSVtODxKjDlX+biz5bJ
UFv1MfDkMdToOgDlFPTv
=RRuh
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Dec 2012 07:26:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:51:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.